Subject: RE: [Sip] Questions about the SIP Replaces Header draft.

From: "Sriram Parameswar" <[email-masked]>
Date: Thu, 6 Sep 2001 14:49:41 -0500

Partial answer in-line prefaced by [Sriram]. Hope it helps.

Sriram

__________________________________________
Sriram Parameswar              Phone: 972-685-8540
Interactive Multimedia Server (IMS) Fax: 972-685-3563
Nortel Networks, Richardson USA  Email: [email-masked]

-----Original Message-----
From: Padhye, Chinmay [mailto:[email-masked]]
Sent: Wednesday, September 05, 2001 3:25 PM
To: [email-masked]'
Subject: [Sip] Questions about the SIP Replaces Header draft.

Hello,

	I have a few questions and comments regarding the SIP Replaces
Header draft -
http://www.softarmor.com/sipwg/drafts/draft-biggs-sip-replaces-01.txt.

1)	In section 3 the draft states -
	"The to-tag and from-tag parameters MUST be included in the Replaces
header, as they are required for unique call-leg matching."

	In section 4 the draft states -
	"If the Replaces header matches more than one call-leg, the user
agent MAY use the Referred-By header if present to attempt to match the call
with an appropriate call-leg, but should otherwise ignore the header."

	The REFER draft says that the Referred-By header is mandatory
(section 3.2 of REFER 01 draft). Hence the words "if present" in the above
statement must be removed. 

[Sriram] The Refer draft says its mandatory in a REFER. The Replaces draft
         is talking about INVITEs. The Replaces header is sent only in an
         INVITE. The Refer draft goes on the say that the Referred-by may
         be carried in other SIP Requests like INVITEs so no changes are
         required.

	I also have a question regarding this -
	
	a)	When will a Replaces header match more than one call-leg.
The statements in the section 3 and 4 seem to contradict each other.

2)	In section 4 of the draft it says - 
	
	"If the Replaces header matches an unestablished call leg, that it,
the INVITE request for the call has not received or been sent a final
response, the Replaces header MUST be ignored."

	The "it" is a typo and should be "is".

	My question is - 
	How will a Replaces header match an unestablished call leg when a
response has not been received for an INVITE?

3)	I think the figures shown with the examples do not conform to the
latest REFER draft. None of the figures show NOTIFY being used. 

[Sriram]  Correct! A new version needs to be done. Also need the 202 for 
          the Refer.

4)	The reference to the cc draft - reference [4], is to the old draft.

Regards,

Chinmay

_______________________________________________
Sip mailing list  http://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip